Package de.willuhn.jameica.hbci.gui.action

# Class FlaggableChange

java.lang.Object
de.willuhn.jameica.hbci.gui.action.FlaggableChange

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Action`

Direct Known Subclasses:
  `UmsatzMarkChecked`, `UmsatzMarkUnChecked`

public class FlaggableChange extends Object implements de.willuhn.jameica.gui.Action
Setz oder entfermnt die genannten Flags in ein oder mehreren Objekten.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final de.willuhn.util.I18N`
`i18n`

## Constructor Summary

Constructors
Constructor
Description
`FlaggableChange(int flags, boolean add)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`getAdd()`
Liefert true, wenn die Flags gesetzt werden sollen.
`protected int`
`getFlags()`
Liefert die zu setzenden Flags.
`void`
`handleAction(Object context)`
Erwartet ein Objekt vom Typ `Flaggable` oder `Flaggable[]`.
`protected void`
`postProcess(Flaggable o)`
Optionales Postprocessing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### i18n

protected static final de.willuhn.util.I18N i18n

## Constructor Details

### FlaggableChange

public FlaggableChange(int flags, boolean add)
ct.

Parameters:
  `flags` - die zu setzenden Flags.
  `add` - true, wenn Flags hinzugefuegt werden sollen. Andernfalls werden sie entfernt.

## Method Details

### handleAction

public void handleAction(Object context) throws de.willuhn.util.ApplicationException
Erwartet ein Objekt vom Typ `Flaggable` oder `Flaggable[]`.

Specified by:
  `handleAction` in interface `de.willuhn.jameica.gui.Action`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `Action.handleAction(java.lang.Object)`

### postProcess

protected void postProcess(Flaggable o) throws Exception
Optionales Postprocessing. Kann von abgeleiteten Klassen ueberschrieben werden.

Parameters:
  `o` - das Objekt.
Throws:
  `Exception`

### getFlags

protected int getFlags()
Liefert die zu setzenden Flags.

Returns:
  flags

### getAdd

protected boolean getAdd()
Liefert true, wenn die Flags gesetzt werden sollen.

Returns:
  true, wenn die Flags gesetzt werden sollen.